Bug Hunting Session
Bug 93684 - removed unused 'sync' abstraction ...
Summary: removed unused 'sync' abstraction ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: Other All
: medium normal
Assignee: aybuke
URL:
Whiteboard: target:5.1.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2015-08-26 15:53 UTC by Michael Meeks
Modified: 2016-10-25 19:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2015-08-26 15:53:42 UTC
The VCL backend vcl/inc/salframe.hxx has an (apparently almost entirely unused) 'Sync' method. Callers of that could call Flush instead which is almost as good (and a duplicate on windows).

We should check if in fact Sync() is used outside of the outdevgrind tool (which can use flush instead). Best to remove the method and see what happens =)

    // flush output buffer, wait till outstanding operations are done
    virtual void            Sync() = 0;

If we need it back we can add a parameter to Flush(... bool bWait = false); or something which is a nicer API anyhow.

Thanks !
Comment 1 aybuke 2015-09-30 14:46:04 UTC
I sent following patch for this bug:

https://gerrit.libreoffice.org/#/c/19027/
Comment 2 aybuke 2015-10-13 18:10:01 UTC
I sent following patch for this bug:

https://gerrit.libreoffice.org/#/c/19102/
Comment 3 Ryan McCoskrie 2015-10-30 01:26:17 UTC
I've started (and others continued) a patch to handle this as well.
https://gerrit.libreoffice.org/18453
Comment 4 Commit Notification 2015-10-30 20:08:26 UTC
Ryan McCoskrie committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d77af785f962efa6f783a5106671d608c313f853

tdf#93684 - Remove SalFrame::Sync

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Robinson Tryon (qubit) 2015-12-13 11:04:03 UTC Comment hidden (obsolete)
Comment 6 José Guilherme Vanz 2016-01-31 00:44:51 UTC
I believe we can close this issue. There are no more calls to Sync() in vcl/.

My git grep does not find nothing. ;)
Comment 7 Robinson Tryon (qubit) 2016-02-18 16:37:27 UTC Comment hidden (obsolete)